LibreOffice LibreOffice 25.8 SDK API Reference

Included Services | List of all members
OleBridgeSupplierVar1 Service Referencepublished

maps UNO types to COM types and vice versa. More...

`import"OleBridgeSupplierVar1.idl";`

Inheritance diagram for OleBridgeSupplierVar1:

## Included Services
service | OleBridgeSupplier2

## Additional Inherited Members
Exported Interfaces inherited from OleBridgeSupplier2
interface | com::sun::star::bridge::XBridgeSupplier2
Public Member Functions inherited from XBridgeSupplier2
any | createBridge ([in] any aModelDepObject, [in] sequence< byte > aProcessId, [in] short nSourceModelType, [in] short nDestModelType) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a bridge to provide an object of one object model with another. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

maps UNO types to COM types and vice versa.

It is optimized for use in a remote scenario.

The functionality is basically the same as com::sun::star::bridge::OleBridgeSupplier2. However, the implementation should be optimized for remote access. For example, it could try to reduce the calls into the remote process. Also it could create components on its own behalf in the remote process, if this increases performance.

Deprecated:

## Exported Interfaces

## ◆ OleBridgeSupplier2

service OleBridgeSupplier2

The documentation for this service was generated from the following file:

- com/sun/star/bridge/OleBridgeSupplierVar1.idl